%global with_python3 1

Name: python-invoke
Version: 0.9.0
Release: 1%{?dist}
Summary: A Python task execution tool and library

License: BSD
URL: http://pyinvoke.org
Source0: https://pypi.python.org/packages/source/i/invoke/invoke-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python-devel python-setuptools 
BuildRequires: python3-devel python3-setuptools

%global invoke_desc \
Invoke is a Python (2.6+ and 3.2+) task execution tool and library,\
drawing inspiration from various sources to arrive at a powerful\
and clean feature set.\

%description 
%{invoke_desc}

%if 0%{?with_python3}
%package -n python3-invoke
Summary: A Python task execution tool and library
%description -n python3-invoke
%{invoke_desc}

This package contains python3 build.
%endif

%prep
%setup -q -n invoke-%{version}
%if 0%{?with_python3}
    rm -rf %{py3dir}
    cp -a . %{py3dir}   
%endif

%build
%{__python2} setup.py build

%if 0%{?with_python3}
    pushd %{py3dir}
    %{__python3} setup.py build
    popd
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install --root $RPM_BUILD_ROOT

%if 0%{?with_python3}
    pushd %{py3dir}
    # Replace binaries name to avoid conflict with python2 variant
    sed -i 's/invoke\ =\ invoke\.cli:main/invoke3\ =\ invoke\.cli:main/' setup.py
    sed -i 's/inv\ =\ invoke\.cli:main/inv3\ =\ invoke\.cli:main/'  setup.py
    %{__python3} setup.py install --root $RPM_BUILD_ROOT
    popd
%endif


%files
%doc LICENSE README.*
%{_bindir}/inv
%{_bindir}/invoke
%{python_sitelib}/*

%if 0%{?with_python3}
%files -n python3-invoke
%doc LICENSE README.*
%{_bindir}/inv3
%{_bindir}/invoke3
%{python3_sitelib}/*
%endif

%changelog
* Fri Nov 14 2014 Athmane Madjoudj <athmane@fedoraproject.org> 0.9.0-1
- Initial spec

